package com.huimv.eartag2.manage.config;

import com.huimv.eartag2.common.mq.Const;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration
public class TopicRabbitMQConfig {
    @Bean
    public Queue syncDeviceRegisterQueue() {
        return new Queue(Const.QUEUE_SYNC_DEVICE_REGISTER);
    }
    @Bean
    TopicExchange syncDeviceRegisterExchange() {
        return new TopicExchange(Const.EXCHANGE_SYNC_DEVICE_REGISTER);
    }
    @Bean
    Binding bindingHeartbeatExchangeMessage() {
        return BindingBuilder.bind(syncDeviceRegisterQueue()).to(syncDeviceRegisterExchange()).with(Const.ROUTING_KEY_SYNC_DEVICE_REGISTER);
    }
}
